org.deidentifier.arx.criteria

## Class ExplicitPrivacyCriterion

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ExplicitPrivacyCriterion

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BasicBLikeness, DDisclosurePrivacy, EnhancedBLikeness, LDiversity, TCloseness

    public abstract class ExplicitPrivacyCriterion
    extends PrivacyCriterion

A privacy criterion that is explicitly bound to a sensitive attribute.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExplicitPrivacyCriterion(java.lang.String attribute, boolean monotonicWithSuppression, boolean monotonicWithGeneralization)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAttribute()` Returns the associated sensitive attribute.
`void` `initialize(DataManager manager, ARXConfiguration config)` Override this to initialize the criterion.

### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

`clone, clone, getDataSubset, getMinimalClassSize, getPopulationModel, getRequirements, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, isAnonymous, isHeuristicSearchSupported, isHeuristicSearchWithTimeLimitSupported, isLocalRecodingSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isOptimalSearchSupported, isSampleBased, isSubsetAvailable, render, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExplicitPrivacyCriterion

    public ExplicitPrivacyCriterion(java.lang.String attribute,
                                    boolean monotonicWithSuppression,
                                    boolean monotonicWithGeneralization)

Creates a new instance

Parameters:
  `attribute` -
  `monotonicWithSuppression` -
  `monotonicWithGeneralization` -

### Method Detail

#### getAttribute

    public java.lang.String getAttribute()

Returns the associated sensitive attribute.

Returns:

#### initialize

    public void initialize(DataManager manager,
                           ARXConfiguration config)

Description copied from class: `PrivacyCriterion`
Override this to initialize the criterion.

Overrides:
  `initialize` in class `PrivacyCriterion`
  `config` - TODO